put
https://apisandbox.braspag.com.br/v2/sales//capture
| Environment | Method | Endpoint |
|---|---|---|
| Sandbox | put | https://apisandbox.braspag.com.br//v2/sales/{PaymentId}/capture |
| Production | put | https://api.braspag.com.br/v2/sales/{PaymentId}/capture |
Full capture
To fully capture a transaction, it is not necessary to send the Amount field.
Partial capture
To partially capture a transaction, send in the Amount field the value in cents you wish to capture.
| Environment | Method | Endpoint |
|---|---|---|
| Sandbox | put | apisandbox.braspag.com.br/v2/sales/{PaymentId}/capture?amount={Amount} |
| Production | put | api.braspag.com.br/v2/sales/{PaymentId}/capture?amount={Amount} |
The API allows you to capture transactions individually.
To capture a group of transactions, use the e-commerce portal. Learn more at:
Warning
- After about 50 capture attempts, the authorizer blocks new captures and returns code 841 (excessive attempts). In this case, it is not possible to capture the transaction; it is necessary to generate a new transaction.
Important: airlines
- The ServiceTaxAmount field is exclusive to airlines;
- To capture the boarding fee, simply add the
ServiceTaxAmountvalue to be captured.